"use strict";

var _dist = require("@storybook/react-native/dist");

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _utils = require("../../utils");

var _styles = require("../../styles");

var _Text = _interopRequireWildcard(require("../Text"));

var _Avatar = _interopRequireDefault(require("./Avatar"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const avatarStories = (0, _dist.storiesOf)('Avatar', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
avatarStories.add('Basic', () => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.mt10)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.row, _styles.C.justifyBetween, _styles.C.itemsCenter)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.C.itemsCenter
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: _styles.C.mb2,
    variant: _Text.TextVariant.S,
    weight: _Text.FontWeight.Bold
  }, 'Placeholder'), /*#__PURE__*/_react.default.createElement(_Avatar.default, null)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.C.itemsCenter
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: _styles.C.mb2,
    variant: _Text.TextVariant.S,
    weight: _Text.FontWeight.Bold
  }, 'Avatar'), /*#__PURE__*/_react.default.createElement(_Avatar.default, {
    name: 'Ruben',
    useFirstLetter: true,
    color: _Colors.default.black
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.C.itemsCenter
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: _styles.C.mb2,
    variant: _Text.TextVariant.S,
    weight: _Text.FontWeight.Bold
  }, 'Image'), /*#__PURE__*/_react.default.createElement(_Avatar.default, {
    image: 'https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Apple_logo_black.svg/863px-Apple_logo_black.svg.png'
  }))));
});
//# sourceMappingURL=Avatar.stories.js.map