"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeFontawesome = require("@fortawesome/react-native-fontawesome");

var _fontawesomeSvgCore = require("@fortawesome/fontawesome-svg-core");

var _proLightSvgIcons = require("@fortawesome/pro-light-svg-icons");

var _proSolidSvgIcons = require("@fortawesome/pro-solid-svg-icons");

var _proRegularSvgIcons = require("@fortawesome/pro-regular-svg-icons");

var _proDuotoneSvgIcons = require("@fortawesome/pro-duotone-svg-icons");

var _freeBrandsSvgIcons = require("@fortawesome/free-brands-svg-icons");

var _Colors = _interopRequireDefault(require("../../Colors"));

var _AwesomeIcon = require("./AwesomeIcon.types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_fontawesomeSvgCore.library.add(_proLightSvgIcons.fal, _proSolidSvgIcons.fas, _proRegularSvgIcons.far, _proDuotoneSvgIcons.fad, _freeBrandsSvgIcons.fab);

const AwesomeIcon = ({
  color = _Colors.default.squidInk,
  icon,
  size = _AwesomeIcon.AwesomeIconSize.Medium,
  style,
  variant = _AwesomeIcon.AwesomeIconVariant.Regular,
  transform
}) => /*#__PURE__*/_react.default.createElement(_reactNativeFontawesome.FontAwesomeIcon, {
  icon: [variant, icon],
  color: color,
  size: size,
  style: style,
  transform: transform
});

var _default = AwesomeIcon;
exports.default = _default;
//# sourceMappingURL=AwesomeIcon.js.map