"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

var _FilterChip = _interopRequireDefault(require("./FilterChip"));

var _Colors = _interopRequireDefault(require("../../Colors"));

var _styles = require("../../styles");

var _FilterChip2 = require("./FilterChip.types");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const filterChipStores = (0, _reactNative.storiesOf)('FilterChip', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
filterChipStores.add('Basic', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Filter Chips"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Removable Filter Chip"), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  variant: _FilterChip2.FilterChipVariant.Primary,
  text: "Pending",
  onPress: () => {},
  removable: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Custom Filter Chip"), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  variant: _FilterChip2.FilterChipVariant.Secondary,
  onPress: () => {},
  text: 'Custom'
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  onPress: () => {},
  variant: _FilterChip2.FilterChipVariant.Secondary,
  text: 'Custom with Icon',
  icon: /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    style: _styles.C.mr2,
    icon: 'circle',
    size: _AwesomeIcon.AwesomeIconSize.ExtraExtraSmall,
    color: _Colors.default.disrupt,
    variant: _AwesomeIcon.AwesomeIconVariant.Solid
  })
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  onPress: () => {},
  variant: _FilterChip2.FilterChipVariant.Secondary,
  text: 'Custom with Icon',
  removable: true
})));
filterChipStores.add('Variants', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Variants"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Primary"), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  variant: _FilterChip2.FilterChipVariant.Primary,
  text: "Unpaid",
  onPress: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Secondary"), /*#__PURE__*/_react.default.createElement(_FilterChip.default, {
  variant: _FilterChip2.FilterChipVariant.Secondary,
  text: "Overdue",
  onPress: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null)));
//# sourceMappingURL=FilterChip.stories.js.map