"use strict";

var _reactNative = require("@storybook/react-native");

var _react = _interopRequireDefault(require("react"));

var Icon = _interopRequireWildcard(require("./index"));

var _utils = require("../../utils");

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const iconStories = (0, _reactNative.storiesOf)('Icons', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
iconStories.add('Colorable', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Colorable icons"), /*#__PURE__*/_react.default.createElement(Icon.HoldedLogo, {
  height: 64,
  width: 64,
  color: _Colors.default.action
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.Dashboard, {
  height: 64,
  width: 64,
  color: _Colors.default.support
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.Sales, {
  height: 64,
  width: 64,
  color: _Colors.default.warning
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.Contacts, {
  height: 64,
  width: 64,
  color: _Colors.default.accepted
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.Expenses, {
  height: 64,
  width: 64,
  color: _Colors.default.success
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.More, {
  height: 64,
  width: 64,
  color: _Colors.default.draft
})));
iconStories.add('Non Colorable', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Non colorable icons"), /*#__PURE__*/_react.default.createElement(Icon.GoogleLogo, {
  height: 64,
  width: 64
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.AppleLogo, {
  height: 64,
  width: 64
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(Icon.Intercom, {
  height: 64,
  width: 64
})));
//# sourceMappingURL=Icon.stories.js.map