"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const More = ({
  color = _Colors.default.squidInk,
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, {
  width: width,
  height: height,
  viewBox: "0 0 14 15",
  style: style
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, {
  transform: "translate(-4 -4)",
  fill: color,
  fillRule: "evenodd"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
  cx: 11,
  cy: 8,
  r: 4
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
  cx: 7,
  cy: 16,
  r: 3
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
  cx: 16,
  cy: 14,
  r: 2
})));

var _default = More;
exports.default = _default;
//# sourceMappingURL=More.js.map