"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Sales = ({
  color = _Colors.default.squidInk,
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, {
  width: width,
  height: height,
  viewBox: "0 0 14 15",
  style: style
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, {
  fill: color,
  fillRule: "evenodd"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M1.621 0H15.5A1.5 1.5 0 0117 1.5v13.879a1.5 1.5 0 01-2.56 1.06L.56 2.561A1.5 1.5 0 011.622 0zM2.707 7.707l6.586 6.586A1 1 0 018.586 16H2a1 1 0 01-1-1V8.414a1 1 0 011.707-.707z"
})));

var _default = Sales;
exports.default = _default;
//# sourceMappingURL=Sales.js.map