"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FontWeight = exports.OnboardingTextVariant = exports.TextAlign = exports.TextVariant = void 0;
let TextVariant;
exports.TextVariant = TextVariant;

(function (TextVariant) {
  TextVariant["Hero"] = "Hero";
  TextVariant["XL"] = "XL";
  TextVariant["ExtraLarge"] = "XL";
  TextVariant["L"] = "L";
  TextVariant["Large"] = "L";
  TextVariant["M"] = "M";
  TextVariant["Medium"] = "M";
  TextVariant["S"] = "S";
  TextVariant["Small"] = "S";
  TextVariant["XS"] = "XS";
  TextVariant["ExtraSmall"] = "XS";
  TextVariant["XXS"] = "XXS";
  TextVariant["ExtraExtraSmall"] = "XXS";
})(TextVariant || (exports.TextVariant = TextVariant = {}));

let TextAlign;
exports.TextAlign = TextAlign;

(function (TextAlign) {
  TextAlign["Left"] = "left";
  TextAlign["Center"] = "center";
  TextAlign["Right"] = "right";
})(TextAlign || (exports.TextAlign = TextAlign = {}));

let OnboardingTextVariant;
exports.OnboardingTextVariant = OnboardingTextVariant;

(function (OnboardingTextVariant) {
  OnboardingTextVariant["Hero"] = "Hero";
  OnboardingTextVariant["XL"] = "XL";
  OnboardingTextVariant["ExtraLarge"] = "XL";
  OnboardingTextVariant["L"] = "L";
  OnboardingTextVariant["Large"] = "L";
})(OnboardingTextVariant || (exports.OnboardingTextVariant = OnboardingTextVariant = {}));

let FontWeight;
exports.FontWeight = FontWeight;

(function (FontWeight) {
  FontWeight["Black"] = "Black";
  FontWeight["Light"] = "Light";
  FontWeight["Regular"] = "Regular";
  FontWeight["Medium"] = "Medium";
  FontWeight["Bold"] = "Bold";
})(FontWeight || (exports.FontWeight = FontWeight = {}));
//# sourceMappingURL=Text.types.js.map