"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _reactNative2 = require("react-native");

var _Widget = _interopRequireDefault(require("./Widget"));

var _index = require("../../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const widgetStories = (0, _reactNative.storiesOf)('Widget', module);
const listWidgetWithList = [{
  color: _index.theme.colors.pending,
  name: 'Name 1',
  value: '00000'
}, {
  color: _index.theme.colors.disrupt,
  name: 'Name 2',
  value: '00000'
}, {
  color: _index.theme.colors.success,
  name: 'Name 3',
  value: '00000'
}]; //TODO (R): Complete after implements the graphs

const graph = /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _index.apply)(_index.C.alignCenter, _index.C.p4, _index.C.weightBold)
}, 'TODO');

widgetStories.add('Variants', () => /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: [(0, _index.apply)(_index.C.flex1, _index.C.bgGray100)]
}, /*#__PURE__*/_react.default.createElement(_reactNative2.ScrollView, {
  style: (0, _index.apply)(_index.C.px4)
}, /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _index.apply)(_index.C.justifyCenter, _index.C.pt4)
}, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _index.apply)(_index.C.alignCenter)
}, 'Widget without Graph & List'), /*#__PURE__*/_react.default.createElement(_Widget.default, {
  title: 'Title 1',
  subtitle: 'Subtitle 1'
})), /*#__PURE__*/_react.default.createElement(_reactNative2.View, null, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _index.apply)(_index.C.alignCenter)
}, 'Widget with Graph & List'), /*#__PURE__*/_react.default.createElement(_Widget.default, {
  title: 'Title 2',
  subtitle: 'Subtitle 2',
  graph: graph,
  list: listWidgetWithList
})), /*#__PURE__*/_react.default.createElement(_reactNative2.View, null, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _index.apply)(_index.C.alignCenter)
}, 'Widget with List'), /*#__PURE__*/_react.default.createElement(_Widget.default, {
  title: 'Title 3',
  list: listWidgetWithList
})))));
//# sourceMappingURL=Widget.stories.js.map