"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "C", {
  enumerable: true,
  get: function () {
    return _consistencss.default;
  }
});
Object.defineProperty(exports, "boxShadow", {
  enumerable: true,
  get: function () {
    return _consistencss.boxShadow;
  }
});
Object.defineProperty(exports, "classNames", {
  enumerable: true,
  get: function () {
    return _consistencss.classNames;
  }
});
Object.defineProperty(exports, "extend", {
  enumerable: true,
  get: function () {
    return _consistencss.extend;
  }
});
Object.defineProperty(exports, "apply", {
  enumerable: true,
  get: function () {
    return _consistencss.apply;
  }
});
Object.defineProperty(exports, "theme", {
  enumerable: true,
  get: function () {
    return _consistencss.theme;
  }
});
exports.default = void 0;

var _consistencss = _interopRequireWildcard(require("consistencss"));

var _types = require("./types");

var _Colors = _interopRequireDefault(require("./Colors"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

(0, _consistencss.extend)({
  classes: {
    letterzero: (0, _consistencss.apply)({
      letterSpacing: 0
    }),
    lettertwo: (0, _consistencss.apply)({
      letterSpacing: 0.2
    }),
    letterfour: (0, _consistencss.apply)({
      letterSpacing: 0.4
    }),
    grow: (0, _consistencss.apply)({
      flexGrow: 1
    })
  },
  colors: _Colors.default,
  fonts: {
    robotoBlack: _types.FontFamily.BLACK,
    robotoMedium: _types.FontFamily.MEDIUM,
    robotoBold: _types.FontFamily.BOLD,
    robotoRegular: _types.FontFamily.REGULAR,
    robotoLight: _types.FontFamily.LIGHT
  },
  sizing: {
    middle: 0.5,
    minimum: 1,
    double: 2
  }
});
var _default = {
  C: _consistencss.default,
  boxShadow: _consistencss.boxShadow,
  classNames: _consistencss.classNames,
  extend: _consistencss.extend,
  apply: _consistencss.apply,
  theme: _consistencss.theme
};
exports.default = _default;
//# sourceMappingURL=styles.js.map