import { storiesOf } from '@storybook/react-native/dist';
import React from 'react';
import { View } from 'react-native';
import { Container } from '../../utils';
import { apply, C } from '../../styles';
import Text, { FontWeight, TextVariant } from '../Text';
import Avatar from './Avatar';
import Color from '../../Colors';
const avatarStories = storiesOf('Avatar', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
avatarStories.add('Basic', () => {
  return /*#__PURE__*/React.createElement(View, {
    style: apply(C.flex, C.mt10)
  }, /*#__PURE__*/React.createElement(View, {
    style: apply(C.row, C.justifyBetween, C.itemsCenter)
  }, /*#__PURE__*/React.createElement(View, {
    style: C.itemsCenter
  }, /*#__PURE__*/React.createElement(Text, {
    style: C.mb2,
    variant: TextVariant.S,
    weight: FontWeight.Bold
  }, 'Placeholder'), /*#__PURE__*/React.createElement(Avatar, null)), /*#__PURE__*/React.createElement(View, {
    style: C.itemsCenter
  }, /*#__PURE__*/React.createElement(Text, {
    style: C.mb2,
    variant: TextVariant.S,
    weight: FontWeight.Bold
  }, 'Avatar'), /*#__PURE__*/React.createElement(Avatar, {
    name: 'Ruben',
    useFirstLetter: true,
    color: Color.black
  })), /*#__PURE__*/React.createElement(View, {
    style: C.itemsCenter
  }, /*#__PURE__*/React.createElement(Text, {
    style: C.mb2,
    variant: TextVariant.S,
    weight: FontWeight.Bold
  }, 'Image'), /*#__PURE__*/React.createElement(Avatar, {
    image: 'https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Apple_logo_black.svg/863px-Apple_logo_black.svg.png'
  }))));
});
//# sourceMappingURL=Avatar.stories.js.map