import { storiesOf } from '@storybook/react-native';
import React from 'react';
import { View } from 'react-native';
import { C, apply } from '../../index';
import ProgressBarChart from './ProgressBarChart';
const chartsStories = storiesOf('Charts', module);
chartsStories.add('Progress Bar', () => {
  return /*#__PURE__*/React.createElement(View, {
    style: apply(C.flex, C.itemsStretch, C.justifyCenter, C.p4)
  }, /*#__PURE__*/React.createElement(ProgressBarChart, {
    title: "My company Goal",
    subtitle: "10.000\xA0\u20AC",
    current: 10,
    text: "Goal",
    total: 100
  }));
});
//# sourceMappingURL=Charts.stories.js.map