import { storiesOf } from '@storybook/react-native';
import React from 'react';
import * as Icon from './index';
import { Container, Title, Separator } from '../../utils';
import Color from '../../Colors';
const iconStories = storiesOf('Icons', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
iconStories.add('Colorable', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Colorable icons"), /*#__PURE__*/React.createElement(Icon.HoldedLogo, {
  height: 64,
  width: 64,
  color: Color.action
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.Dashboard, {
  height: 64,
  width: 64,
  color: Color.support
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.Sales, {
  height: 64,
  width: 64,
  color: Color.warning
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.Contacts, {
  height: 64,
  width: 64,
  color: Color.accepted
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.Expenses, {
  height: 64,
  width: 64,
  color: Color.success
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.More, {
  height: 64,
  width: 64,
  color: Color.draft
})));
iconStories.add('Non Colorable', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Non colorable icons"), /*#__PURE__*/React.createElement(Icon.GoogleLogo, {
  height: 64,
  width: 64
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.AppleLogo, {
  height: 64,
  width: 64
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Icon.Intercom, {
  height: 64,
  width: 64
})));
//# sourceMappingURL=Icon.stories.js.map