/*
import React from 'react';
import { View, Text } from 'react-native';
import { storiesOf } from '@storybook/react-native';
import { C, apply, theme } from '../../../index';

import ListItem from './ListItem';
import AwesomeIcon from '../../AwesomeIcon/AwesomeIcon';

const listItemStories = storiesOf('ListItem', module);

//TODO (R): After integrate the Awesome Icon component. Change the <AwesomeIcon... by the new component
listItemStories.add('Variants', () => {
  const listItemContainerStyle = viewStyleCast(
    apply(C.p2, C.bordertopMinimum, C.bordertopGray200)
  );
  return (
    <View style={apply(C.flex)}>
      <View style={apply(C.mx4)}>
        <Text style={apply(C.familyRobotoBold, C.m4)}>{'BASICS'}</Text>
        <ListItem
          title={'Title'}
          value={'Value'}
          containerStyle={listItemContainerStyle}
        />
        <ListItem
          title={'Title'}
          subtitle={'Subtitle'}
          value={'Value'}
          subValue={'SubValue'}
          containerStyle={listItemContainerStyle}
        />
        <ListItem
          subtitle={'Subtitle'}
          value={'Value'}
          containerStyle={listItemContainerStyle}
        />
        <ListItem
          title={'Title'}
          subValue={'SubValue'}
          containerStyle={listItemContainerStyle}
        />
        <ListItem
          title={'Title'}
          subtitle={'Subtitle'}
          value={'Value'}
          subValue={'SubValue'}
          icon={
            <View style={apply(C.justifyCenter, C.mr2)}>
              <AwesomeIcon
                icon={'building'}
                variant={'fal'}
                color={theme.colors.info}
              />
            </View>
          }
          containerStyle={listItemContainerStyle}
        />
      </View>
      <View style={apply(C.mx4)}>
        <Text style={apply(C.familyRobotoBold, C.m4)}>
          {'ON PRESS VARIATIONS'}
        </Text>
        <ListItem
          title={'Title'}
          subtitle={'Subtitle'}
          value={'Value'}
          subValue={'SubValue'}
          containerStyle={listItemContainerStyle}
        />
        <ListItem
          title={'Title'}
          subtitle={'Subtitle'}
          value={'Value'}
          subValue={'SubValue'}
          containerStyle={listItemContainerStyle}
          onPress={() => {}}
        />
        <ListItem
          title={'Title'}
          subtitle={'Subtitle'}
          value={'Value'}
          subValue={'SubValue'}
          containerStyle={listItemContainerStyle}
          onPress={() => {}}
          onPressOpacity={0.1}
        />
      </View>
    </View>
  );
});

listItemStories.add('Examples', () => {
  const widgetItem = {
    color: theme.colors.warning,
    name: 'Name 1',
    value: '00000',
  };
  const contactItem = {
    contact: 'Ruben Fernandez',
    email: 'ruben.fernandez@holded.com',
    isPerson: true,
  };
  const documentItem = {
    contact: 'Contact name',
    amount: '€00000.00',
    status: 'COLLECTED',
    id: 'INV00045',
    date: '15.09.2020',
  };
  const listItemContainerStyle = viewStyleCast(
    apply(C.p2, C.py3, C.bordertopMinimum, C.bordertopGray200)
  );
  return (
    <View style={apply(C.flex)}>
      <Text style={apply(C.flex0, C.alignCenter, C.my2, C.weightBold)}>
        {'Widget List item'}
      </Text>
      <View style={apply(C.mx8)}>
        <ListItem
          title={widgetItem.name}
          value={widgetItem.value}
          containerStyle={listItemContainerStyle}
          hasRightIcon={true}
          icon={
            <View style={apply(C.justifyCenter, C.mr2)}>
              <AwesomeIcon
                variant={'fas'}
                icon={'circle'}
                color={widgetItem.color}
                size={12}
              />
            </View>
          }
        />
      </View>
      <Text style={apply(C.flex0, C.alignCenter, C.my2, C.weightBold)}>
        {'Documents List Item'}
      </Text>
      <View style={apply(C.m1)}>
        <ListItem
          containerStyle={listItemContainerStyle}
          title={documentItem.contact}
          titleStyle={textStyleCast(apply(C.weightBold, C.font4))}
          subtitle={documentItem.id + ' | ' + documentItem.date}
          subtitleStyle={textStyleCast(apply(C.textSupport, C.font3))}
          value={documentItem.amount}
          subValue={documentItem.status}
          subValueStyle={textStyleCast(apply(C.textGreen, C.font3))}
          hasRightIcon
          rightIconColor={theme.colors.support}
        />
      </View>
      <Text style={apply(C.flex0, C.alignCenter, C.my2, C.weightBold)}>
        {'Contact List Item'}
      </Text>
      <View style={apply(C.m1)}>
        <ListItem
          containerStyle={listItemContainerStyle}
          icon={
            <View style={apply(C.justifyCenter, C.ml1, C.mr2)}>
              <Text style={apply(C.weightBold)}>{'TODO'}</Text>
            </View>
          }
          title={contactItem.contact}
          titleStyle={textStyleCast(apply(C.weightBold, C.font4))}
          subtitle={contactItem.email}
          subtitleStyle={textStyleCast(apply(C.textSupport, C.font3))}
          rightChildren={
            <View style={apply(C.row, C.justifyCenter, C.itemsCenter, C.mr2)}>
              <AwesomeIcon
                variant={'fal'}
                icon={'building'}
                color={theme.colors.info}
                size={12}
                style={viewStyleCast(apply(C.mr2))}
              />
              <AwesomeIcon
                icon={'chevron-right'}
                variant={'fal'}
                color={theme.colors.support}
              />
            </View>
          }
        />
      </View>
    </View>
  );
});
*/
//# sourceMappingURL=ListItem.stories.js.map