import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Title } from '../../utils';
import Loader from './Loader';
import { View } from 'react-native';
import { apply, C } from '../../styles';
const loaderStories = storiesOf('Loader', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, {
  containerStyle: apply(C.flex)
}, story()));
loaderStories.add('Basic Loader', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Basic Loader"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.flex, C.relative)
}, /*#__PURE__*/React.createElement(Loader, {
  loading: true
}))));
//# sourceMappingURL=Loader.stories.js.map