import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';
import Tabs from './Tabs';
const loaderStories = storiesOf('Tabs', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
const tabItems = [{
  name: 'Item A',
  value: 'A'
}, {
  name: 'Item B',
  value: 'B'
}, {
  name: 'Item C',
  value: 'C'
}, {
  name: 'Item D',
  value: 'D'
}];
const extendedTabItems = [...tabItems, {
  name: 'Item E',
  value: 'E'
}, {
  name: 'Item F',
  value: 'F'
}];
loaderStories.add('Basic Tabs', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Tabs"), /*#__PURE__*/React.createElement(Subtitle, null, "Basic Tabs"), /*#__PURE__*/React.createElement(Tabs, {
  data: tabItems
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Centered Tabs"), /*#__PURE__*/React.createElement(Tabs, {
  data: tabItems,
  justified: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Scrollable Tabs"), /*#__PURE__*/React.createElement(Tabs, {
  data: extendedTabItems
})));
//# sourceMappingURL=Tabs.stories.js.map