function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef } from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { C, apply } from '../../index';

const Widget = ({
  children,
  title,
  text,
  onPress,
  testID
}, ref) => /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
  ref: ref,
  style: apply(C.bgWhite, C.radius2, C.p4),
  onPress: onPress
}, {
  testID
}), /*#__PURE__*/React.createElement(View, {
  style: apply(C.pb3)
}, title && /*#__PURE__*/React.createElement(Text, null, title), text && /*#__PURE__*/React.createElement(Text, null, text)), children);

export default /*#__PURE__*/forwardRef(Widget);
//# sourceMappingURL=Widget.js.map