import type Color from '../../Colors';
import type { ImageStyle } from 'react-native-fast-image';
export declare enum AvatarSize {
    Tiny = "Tiny",
    Small = "Small",
    Medium = "Medium",
    Large = "Large"
}
export declare enum AvatarType {
    User = "User",
    Account = "Account"
}
export declare enum AvatarShape {
    Circle = "Circle",
    RoundedSquare = "RoundedSquare",
    Square = "Square"
}
export declare type AvatarProps = {
    color?: Color | string;
    image?: string | null;
    name?: string;
    shape?: AvatarShape;
    size?: AvatarSize;
    style?: ImageStyle;
    type?: AvatarType;
    useFirstLetter?: boolean;
};
