import type { VoidFunction } from 'src/types';
import type { ReactNode } from 'react';
import type { ViewStyle } from 'react-native';
export declare enum FilterChipVariant {
    Primary = "primary",
    Secondary = "secondary"
}
export declare type FilterChipProps = {
    containerStyle?: ViewStyle;
    variant: FilterChipVariant;
    disabled?: boolean;
    onPress: VoidFunction;
    text: string;
    removable?: boolean;
    icon?: ReactNode;
};
