import type { VoidFunction } from '@holded/mobile-ui/types';
import type Color from '../../Colors';
import type { PropsWithChildren, ReactNode } from 'react';
export declare type LayoutProps = PropsWithChildren<{
    actions?: ReactNode;
    hideHeader?: boolean;
    hideKeyboardSpacer?: boolean;
    lightBar?: boolean;
    insets: {
        bottom: number;
        top: number;
    };
    onBack?: VoidFunction;
    statusBarColor?: Color;
    title: string | ReactNode;
    withBack?: boolean;
    withTabs?: boolean;
}>;
