import type { ViewStyle } from 'react-native';
export declare type TabItem<T = any> = {
    disabled?: boolean;
    name: string;
    value?: T;
};
export declare type TabsProps = {
    containerStyle?: ViewStyle;
    data: TabItem[];
    justified?: boolean;
    onChange?: (item: TabItem, index: number) => void;
    scrollOverflow?: number;
    selected?: number;
    tabStyle?: ViewStyle;
    tabSelectedStyle?: ViewStyle;
};
