import C, { boxShadow, classNames, extend, apply, theme } from 'consistencss';
export { C, boxShadow, classNames, extend, apply, theme };
declare const _default: {
    C: {
        "": {};
        overflow: {};
        flex: {};
        row: {};
        wrap: {};
        justify: {};
        items: {};
        self: {};
        content: {};
        elevation: {};
        opacity: {};
        shadow: {};
        border: {};
        radius: {};
        p: {};
        m: {};
        my: {};
        mx: {};
        absolute: {};
        ltr: {};
        rtl: {};
        py: {};
        px: {};
        h: {};
        hscreen: {};
        maxh: {};
        minh: {};
        w: {};
        wscreen: {};
        maxw: {};
        minw: {};
        bg: {};
        text: {};
        font: {};
        family: {};
        align: {};
        alignvertical: {};
        line: {};
        italic: {};
        uppercase: {};
        lowercase: {};
        capitalize: {};
        bold: {};
        weight: {};
        tint: {};
    } & {
        [k: string]: {};
    };
    boxShadow: (elevation: number, offsetX: number, offsetY: number, blurRadius: number, color: string, opacity: number) => any;
    classNames: (classes: string, conditionalClasses?: any) => import("react-native").StyleProp<{} | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle>;
    extend: (custom: Partial<{
        alignment: any;
        colors: any;
        components: any;
        fonts: any;
        fontWeights: any;
        shadows: any;
        sizing: any;
        classes: any;
    }>) => void;
    apply: (...styles: (string | false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<any> | import("react-native").RecursiveArray<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<any> | null | undefined> | null | undefined)[]) => import("react-native").StyleProp<{} | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle>;
    theme: {
        alignment: any;
        colors: any;
        components: any;
        fonts: any;
        fontWeights: any;
        shadows: any;
        sizing: any;
        classes: any;
    };
};
export default _default;
