export declare type VoidFunction = () => void;
export declare type Generic<T = any> = {
    [key: string]: T;
};
export declare type PropsWithTypedChildren<T, C> = T & {
    children: C;
};
export declare enum FontFamily {
    BLACK = "Roboto-Black",
    LIGHT = "Roboto-Light",
    REGULAR = "Roboto-Regular",
    MEDIUM = "Roboto-Medium",
    BOLD = "Roboto-Bold"
}
export declare type VisibleToggle = {
    open: VoidFunction;
    close: VoidFunction;
};
export declare type WithTestID<T = {}> = T & {
    testID?: string;
};
