enum Color {
  primary = '#FD454D', // Red
  secondary = '#4181F2', // Azure

  // General
  squidInk = '#2E394C',
  action = '#4181f2',
  success = '#7ed321',
  warning = '#FF8833',
  disrupt = '#fd454d',

  support = '#777F8C',
  neutral = '#9FA5AE',
  iconic = '#AAAAAA',
  platin = '#F9F9F9',
  backdrop = '#EDEFF3',

  black = '#000000',
  white = '#FFFFFF',

  readonly = 'rgba(249, 249, 249, 0.4)',
  disabled = 'rgba(249, 249, 249, 0.5)',
  transparent = 'transparent',

  // Graphs
  pending = '#E6AF5C',
  partial = '#E6855C',
  paid = '#52CC83',
  accepted = '#4181F2',
  collected = '#67C9C9',
  billed = '#9892EE',
  notBilled = '#EC759E',
  partiallyBilled = '#ED7777',
  draft = '#D9CC56',
}

export enum TextColor {
  squidInk = '#2E394C',
  action = '#4181f2',
  success = '#7ed321',
  warning = '#FF8833',
  disrupt = '#fd454d',
  support = '#777F8C',
  neutral = '#9FA5AE',
  white = '#FFFFFF',
}

export const Gradient: { single: string[] } = {
  single: ['#1E93F4', '#4181F2'],
};

export default Color;
