import type { VisibleToggle, VoidFunction } from '../../types';

export type ActionSheetItem = {
  disabled?: boolean;
  label: string;
  onPress?: VoidFunction;
  icon?: string;
};

export type BasicActionSheetType = {
  closeText: string;
  items: ActionSheetItem[];
  title?: string;
  visible?: boolean;
};

export type ActionSheetProps = VisibleToggle & BasicActionSheetType;
