import React from 'react';
import Svg, { G, Path } from 'react-native-svg';
import Color from '../../Colors';
import type { ColorableIconProps } from './Icon.types';

const Expenses = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style,
}: ColorableIconProps) => (
  <Svg width={width} height={height} viewBox="0 0 18 17" style={style}>
    <G fill={color} fillRule="evenodd">
      <Path d="M15.625 17H1.746a1.5 1.5 0 01-1.5-1.5V1.621a1.5 1.5 0 012.56-1.06l13.88 13.878A1.5 1.5 0 0115.625 17zM14.54 9.293L7.952 2.707A1 1 0 018.66 1h6.586a1 1 0 011 1v6.586a1 1 0 01-1.707.707z" />
    </G>
  </Svg>
);

export default Expenses;
