import React from 'react';
import Svg, { G, Path } from 'react-native-svg';
import Color from '../../Colors';
import type { ColorableIconProps } from './Icon.types';

const Sales = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style,
}: ColorableIconProps) => (
  <Svg width={width} height={height} viewBox="0 0 14 15" style={style}>
    <G fill={color} fillRule="evenodd">
      <Path d="M1.621 0H15.5A1.5 1.5 0 0117 1.5v13.879a1.5 1.5 0 01-2.56 1.06L.56 2.561A1.5 1.5 0 011.622 0zM2.707 7.707l6.586 6.586A1 1 0 018.586 16H2a1 1 0 01-1-1V8.414a1 1 0 011.707-.707z" />
    </G>
  </Svg>
);

export default Sales;
