import type { TextStyle, ViewStyle } from 'react-native';
import type { VoidFunction } from '../../../types';
import type { ReactNode } from 'react';

export type ListItemProps = {
  containerStyle?: ViewStyle;
  leftContainerStyle?: ViewStyle;
  rightContainerStyle?: ViewStyle;
  title?: string;
  subtitle?: string;
  value?: string;
  subValue?: string;
  titleStyle?: TextStyle;
  subtitleStyle?: TextStyle;
  valueStyle?: TextStyle;
  subValueStyle?: TextStyle;
  onPress?: VoidFunction;
  onPressOpacity?: number;
  hasRightIcon?: boolean;
  rightIconColor?: string;
  icon?: ReactNode;
  rightChildren?: ReactNode;
  leftChildren?: ReactNode;
};
