export type VoidFunction = () => void;

export type Generic<T = any> = {
  [key: string]: T;
};

export type PropsWithTypedChildren<T, C> = T & { children: C };

// TODO: Remove and replace with C
export enum FontFamily {
  BLACK = 'Roboto-Black',
  LIGHT = 'Roboto-Light',
  REGULAR = 'Roboto-Regular',
  MEDIUM = 'Roboto-Medium',
  BOLD = 'Roboto-Bold',
}

export type VisibleToggle = {
  open: VoidFunction;
  close: VoidFunction;
};

export type WithTestID<T = {}> = T & { testID?: string };
