"use strict";

var _dist = require("@storybook/react-native/dist");

var _utils = require("../../utils");

var _react = _interopRequireDefault(require("react"));

var _styles = require("../../styles");

var _Button = _interopRequireWildcard(require("../Button"));

var _reactNative = require("react-native");

var _BottomModal = _interopRequireDefault(require("./BottomModal"));

var _Input = _interopRequireDefault(require("../Input/Input"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const bottomModalStories = (0, _dist.storiesOf)('Bottom Modal', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));

function Component() {
  const modalRef = _react.default.useRef(null);

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.C.flex1
  }, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Modal"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _modalRef$current;

      (_modalRef$current = modalRef.current) === null || _modalRef$current === void 0 ? void 0 : _modalRef$current.open();
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/_react.default.createElement(_BottomModal.default, {
    title: 'Fruits Everywhere',
    ref: modalRef
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.m2)
  }, /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "lemon",
    placeholder: "Fruit",
    defaultValue: "Alvocade :)"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.my6)
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {},
    size: _Button.ButtonSize.Medium,
    text: 'Buy fruit'
  })))));
}

bottomModalStories.add('Variants', () => {
  return /*#__PURE__*/_react.default.createElement(Component, null);
});
//# sourceMappingURL=BottomModal.stories.js.map