"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Dashboard = ({
  color = _Colors.default.squidInk,
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, {
  width: width,
  height: height,
  viewBox: "0 0 22 20",
  style: style
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, {
  fill: color,
  fillRule: "evenodd"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M8 10c0 8 .6 10 3 10s3-2 3-10-.6-10-3-10-3 2-3 10zM18.5 20c2.4 0 3-1.4 3-7s-.6-7-3-7-3 1.4-3 7 .6 7 3 7zM3.5 20c2.4 0 3-1.4 3-7s-.6-7-3-7-3 1.4-3 7 .6 7 3 7z"
})));

var _default = Dashboard;
exports.default = _default;
//# sourceMappingURL=Dashboard.js.map