"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const HoldedLogo = ({
  color = _Colors.default.squidInk,
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, {
  width: width,
  height: height,
  viewBox: "0 0 459.1 403.5",
  style: style
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Mask, {
  x: 0,
  y: 0,
  width: 459.1,
  height: 403.5,
  id: "prefix__b"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M139.5 0c-3 0-5.9 1.1-8.3 3-5.6 4.6-6.4 12.8-1.7 18.4l205.3 242.8c.6.7 1.3 1.3 2 1.9 6.3 5.1 15.6 4.2 20.8-2L454 152.9c6.8-8.1 6.7-19.7-.1-27.7L352.6 7.8C348.5 2.9 342.3.1 335.9 0H139.5zM74.4 41.3L5.2 121.6c-6.9 8-6.9 19.7-.1 27.8l213.8 248.5c.6.7 1.2 1.3 1.8 1.8 6.2 5.1 13.7 5.2 18.9-.9l73.7-84.3c4.6-5.4 4.6-13.2 0-18.5L96.8 41.3c-.5-.6-1.1-1.2-1.8-1.8-2.7-2.3-6.1-3.4-9.4-3.4-4.2.1-8.4 1.8-11.2 5.2z",
  fillRule: "evenodd",
  clipRule: "evenodd",
  fill: _Colors.default.white
})), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, {
  mask: "url(#prefix__b)"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  fill: color,
  d: "M139.5 0c-3 0-5.9 1.1-8.3 3-5.6 4.6-6.4 12.8-1.7 18.4l205.3 242.8c.6.7 1.3 1.3 2 1.9 6.3 5.1 15.6 4.2 20.8-2L454 152.9c6.8-8.1 6.7-19.7-.1-27.7L352.6 7.8C348.5 2.9 342.3.1 335.9 0H139.5zM74.4 41.3L5.2 121.6c-6.9 8-6.9 19.7-.1 27.8l213.8 248.5c.6.7 1.2 1.3 1.8 1.8 6.2 5.1 13.7 5.2 18.9-.9l73.7-84.3c4.6-5.4 4.6-13.2 0-18.5L96.8 41.3c-.5-.6-1.1-1.2-1.8-1.8-2.7-2.3-6.1-3.4-9.4-3.4-4.2.1-8.4 1.8-11.2 5.2z",
  fillRule: "evenodd",
  clipRule: "evenodd"
})));

var _default = HoldedLogo;
exports.default = _default;
//# sourceMappingURL=HoldedLogo.js.map