"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Intercom = ({
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, {
  width: width,
  height: height,
  viewBox: "0 0 64 64",
  style: style
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Defs, null, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.RadialGradient, {
  cx: "25.641%",
  cy: "7.717%",
  fx: "25.641%",
  fy: "7.717%",
  r: "100.156%",
  id: "prefix__a"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#5995FF",
  offset: "0%"
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#4181F2",
  offset: "100%"
})), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.RadialGradient, {
  cx: "15.667%",
  cy: "6.554%",
  fx: "15.667%",
  fy: "6.554%",
  r: "171.103%",
  gradientTransform: "matrix(.65126 .71463 -.66535 .6995 .098 -.092)",
  id: "prefix__e"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.95,
  offset: "0%"
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.75,
  offset: "100%"
})), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.LinearGradient, {
  x1: "100%",
  y1: "93.341%",
  x2: "0%",
  y2: "6.659%",
  id: "prefix__d"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.9,
  offset: "0%"
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
  stopColor: "#FFF",
  offset: "100%"
})), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M29.136 41.864c-6.326 0-11.454-4.986-11.454-11.137 0-6.15 5.128-11.136 11.454-11.136h4.773c6.326 0 11.455 4.986 11.455 11.136v11.328c0 2.713-1.178 3.309-2.291 3.309-2.422 0-1.753-3.5-13.937-3.5z",
  id: "prefix__c"
})), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, {
  fill: "none",
  fillRule: "evenodd"
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
  fill: "url(#prefix__a)",
  cx: 32,
  cy: 32,
  r: 32
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Use, {
  stroke: "url(#prefix__d)",
  strokeWidth: 0.15,
  fill: "url(#prefix__e)",
  xlinkHref: "#prefix__c"
})));

var _default = Intercom;
exports.default = _default;
//# sourceMappingURL=Intercom.js.map