"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _Select = _interopRequireDefault(require("./Select"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const selectStories = (0, _reactNative.storiesOf)('Select', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
const items = [{
  label: 'Item A',
  value: 'A'
}, {
  label: 'Item B',
  value: 'B'
}, {
  label: 'Item C',
  value: 'C'
}];
selectStories.add('Basic Select', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Select"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Password",
  placeholder: "Choose a password",
  icon: "key",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Select.default, {
  error: true,
  label: "Password",
  icon: "key",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Select a country",
  icon: "key",
  items: items,
  value: "A",
  onChange: () => {}
})));
selectStories.add('Statuses', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Statuses"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Basic"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Focused"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  focused: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "With error"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  error: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Disabled"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  disabled: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Readonly"), /*#__PURE__*/_react.default.createElement(_Select.default, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  readonly: true,
  items: items,
  onChange: () => {}
})));
//# sourceMappingURL=Select.stories.js.map