"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _Tabs = _interopRequireDefault(require("./Tabs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const loaderStories = (0, _reactNative.storiesOf)('Tabs', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
const tabItems = [{
  name: 'Item A',
  value: 'A'
}, {
  name: 'Item B',
  value: 'B'
}, {
  name: 'Item C',
  value: 'C'
}, {
  name: 'Item D',
  value: 'D'
}];
const extendedTabItems = [...tabItems, {
  name: 'Item E',
  value: 'E'
}, {
  name: 'Item F',
  value: 'F'
}];
loaderStories.add('Basic Tabs', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Tabs"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Basic Tabs"), /*#__PURE__*/_react.default.createElement(_Tabs.default, {
  data: tabItems
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Centered Tabs"), /*#__PURE__*/_react.default.createElement(_Tabs.default, {
  data: tabItems,
  justified: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Scrollable Tabs"), /*#__PURE__*/_react.default.createElement(_Tabs.default, {
  data: extendedTabItems
})));
//# sourceMappingURL=Tabs.stories.js.map