var Color;

(function (Color) {
  Color["primary"] = "#FD454D";
  Color["secondary"] = "#4181F2";
  Color["squidInk"] = "#2E394C";
  Color["action"] = "#4181f2";
  Color["success"] = "#7ed321";
  Color["warning"] = "#FF8833";
  Color["disrupt"] = "#fd454d";
  Color["support"] = "#777F8C";
  Color["neutral"] = "#9FA5AE";
  Color["iconic"] = "#AAAAAA";
  Color["platin"] = "#F9F9F9";
  Color["backdrop"] = "#EDEFF3";
  Color["black"] = "#000000";
  Color["white"] = "#FFFFFF";
  Color["readonly"] = "rgba(249, 249, 249, 0.4)";
  Color["disabled"] = "rgba(249, 249, 249, 0.5)";
  Color["transparent"] = "transparent";
  Color["pending"] = "#E6AF5C";
  Color["partial"] = "#E6855C";
  Color["paid"] = "#52CC83";
  Color["accepted"] = "#4181F2";
  Color["collected"] = "#67C9C9";
  Color["billed"] = "#9892EE";
  Color["notBilled"] = "#EC759E";
  Color["partiallyBilled"] = "#ED7777";
  Color["draft"] = "#D9CC56";
})(Color || (Color = {}));

export let TextColor;

(function (TextColor) {
  TextColor["squidInk"] = "#2E394C";
  TextColor["action"] = "#4181f2";
  TextColor["success"] = "#7ed321";
  TextColor["warning"] = "#FF8833";
  TextColor["disrupt"] = "#fd454d";
  TextColor["support"] = "#777F8C";
  TextColor["neutral"] = "#9FA5AE";
  TextColor["white"] = "#FFFFFF";
})(TextColor || (TextColor = {}));

export const Gradient = {
  single: ['#1E93F4', '#4181F2']
};
export default Color;
//# sourceMappingURL=Colors.js.map