import React from 'react';
import Svg, { Circle, Defs, G, LinearGradient, Path, RadialGradient, Stop, Use } from 'react-native-svg';

const Intercom = ({
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/React.createElement(Svg, {
  width: width,
  height: height,
  viewBox: "0 0 64 64",
  style: style
}, /*#__PURE__*/React.createElement(Defs, null, /*#__PURE__*/React.createElement(RadialGradient, {
  cx: "25.641%",
  cy: "7.717%",
  fx: "25.641%",
  fy: "7.717%",
  r: "100.156%",
  id: "prefix__a"
}, /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#5995FF",
  offset: "0%"
}), /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#4181F2",
  offset: "100%"
})), /*#__PURE__*/React.createElement(RadialGradient, {
  cx: "15.667%",
  cy: "6.554%",
  fx: "15.667%",
  fy: "6.554%",
  r: "171.103%",
  gradientTransform: "matrix(.65126 .71463 -.66535 .6995 .098 -.092)",
  id: "prefix__e"
}, /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.95,
  offset: "0%"
}), /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.75,
  offset: "100%"
})), /*#__PURE__*/React.createElement(LinearGradient, {
  x1: "100%",
  y1: "93.341%",
  x2: "0%",
  y2: "6.659%",
  id: "prefix__d"
}, /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#FFF",
  stopOpacity: 0.9,
  offset: "0%"
}), /*#__PURE__*/React.createElement(Stop, {
  stopColor: "#FFF",
  offset: "100%"
})), /*#__PURE__*/React.createElement(Path, {
  d: "M29.136 41.864c-6.326 0-11.454-4.986-11.454-11.137 0-6.15 5.128-11.136 11.454-11.136h4.773c6.326 0 11.455 4.986 11.455 11.136v11.328c0 2.713-1.178 3.309-2.291 3.309-2.422 0-1.753-3.5-13.937-3.5z",
  id: "prefix__c"
})), /*#__PURE__*/React.createElement(G, {
  fill: "none",
  fillRule: "evenodd"
}, /*#__PURE__*/React.createElement(Circle, {
  fill: "url(#prefix__a)",
  cx: 32,
  cy: 32,
  r: 32
}), /*#__PURE__*/React.createElement(Use, {
  stroke: "url(#prefix__d)",
  strokeWidth: 0.15,
  fill: "url(#prefix__e)",
  xlinkHref: "#prefix__c"
})));

export default Intercom;
//# sourceMappingURL=Intercom.js.map