import React from 'react';
import Svg, { Circle, G } from 'react-native-svg';
import Color from '../../Colors';

const More = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style
}) => /*#__PURE__*/React.createElement(Svg, {
  width: width,
  height: height,
  viewBox: "0 0 14 15",
  style: style
}, /*#__PURE__*/React.createElement(G, {
  transform: "translate(-4 -4)",
  fill: color,
  fillRule: "evenodd"
}, /*#__PURE__*/React.createElement(Circle, {
  cx: 11,
  cy: 8,
  r: 4
}), /*#__PURE__*/React.createElement(Circle, {
  cx: 7,
  cy: 16,
  r: 3
}), /*#__PURE__*/React.createElement(Circle, {
  cx: 16,
  cy: 14,
  r: 2
})));

export default More;
//# sourceMappingURL=More.js.map