import type { VisibleToggle, VoidFunction } from '../../types';
export declare type ActionSheetItem = {
    disabled?: boolean;
    label: string;
    onPress?: VoidFunction;
    icon?: string;
};
export declare type BasicActionSheetType = {
    closeText: string;
    items: ActionSheetItem[];
    title?: string;
    visible?: boolean;
};
export declare type ActionSheetProps = VisibleToggle & BasicActionSheetType;
