import React, { PropsWithChildren } from 'react';
import { ViewStyle } from 'react-native';
export declare const Container: ({ children, containerStyle, style, }: React.PropsWithChildren<{
    containerStyle?: ViewStyle | undefined;
    style?: ViewStyle | undefined;
}>) => JSX.Element;
export declare const Separator: () => JSX.Element;
export declare const Title: ({ children, style, }: React.PropsWithChildren<{
    style?: ViewStyle | undefined;
}>) => JSX.Element;
export declare const Subtitle: ({ children, style, }: React.PropsWithChildren<{
    style?: ViewStyle | undefined;
}>) => JSX.Element;
export declare const insets: {
    bottom: number;
    right: number;
    top: number;
    left: number;
};
