import { storiesOf } from '@storybook/react-native';
import React from 'react';
import { Container, Title, Subtitle } from './utils';
import { version } from '../package.json';

const homeStories = storiesOf('Home', module).addDecorator((story) => (
  // @ts-ignore
  <Container>{story()}</Container>
));

homeStories.add('Welcome', () => (
  <>
    <Title>Holded Mobile UI Library</Title>

    <Subtitle>Version: v{version}</Subtitle>
  </>
));
