import { storiesOf } from '@storybook/react-native';
import React from 'react';
import { View } from 'react-native';
import { C, apply } from '../../index';

import ProgressBarChart from './ProgressBarChart';

const chartsStories = storiesOf('Charts', module);

chartsStories.add('Progress Bar', () => {
  return (
    <View style={apply(C.flex, C.itemsStretch, C.justifyCenter, C.p4)}>
      <ProgressBarChart
        title="My company Goal"
        subtitle="10.000 €"
        current={10}
        text="Goal"
        total={100}
      />
    </View>
  );
});
