import type { VoidFunction } from 'src/types';
import type { ReactNode } from 'react';
import type { ViewStyle } from 'react-native';

export enum FilterChipVariant {
  Primary = 'primary',
  Secondary = 'secondary',
}

export type FilterChipProps = {
  containerStyle?: ViewStyle;
  variant: FilterChipVariant;
  disabled?: boolean;
  onPress: VoidFunction;
  text: string;
  removable?: boolean;
  icon?: ReactNode;
};
