import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Title } from '../../utils';

import Loader from './Loader';
import { View } from 'react-native';
import { apply, C } from '../../styles';

const loaderStories = storiesOf('Loader', module).addDecorator((story) => (
  // @ts-ignore
  <Container containerStyle={apply(C.flex)}>{story()}</Container>
));

loaderStories.add('Basic Loader', () => (
  <>
    <Title>Basic Loader</Title>

    <View style={apply(C.flex, C.relative)}>
      <Loader loading={true} />
    </View>
  </>
));
