import type { VoidFunction } from '@holded/mobile-ui/types';

export type SummaryListProps = {
  color: string;
  name: string;
  value: string;
};

export type WidgetProps = {
  children?: any;
  text?: string;
  title?: string;
  subtitle?: string;
  graph?: any; //TODO (R): Finish when the graph components have been created
  list?: Array<SummaryListProps>;
  onPress?: VoidFunction;
  testID?: string;
};
